Knowledgebase
Adobe Reader
Posted by - NA - on 13 August 2009 08:13 AM
The downloadable IamFX PDF forms require Adobe Acrobat to be viewed properly.

Link: http://get.adobe.com/reader/
(8 votes)
This article was helpful
This article was not helpful

Help Desk Software by Kayako Fusion